6.0.0-git
2019-05-19

[#14588] Calling horde-memcache-stats triggers errors due to invalid function call
Summary Calling horde-memcache-stats triggers errors due to invalid function call
Queue Horde Base
Queue Version 5.2.13
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester torben (at) dannhauer (dot) info
Created 2017-03-01 (809 days ago)
Due
Updated 2017-10-20 (576 days ago)
Assigned
Resolved 2017-03-02 (808 days ago)
Milestone
Patch No

History
2017-10-20 20:33:49 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 51cecb4e8d0eede0ed302bef3b65409103dc024e
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed, 01 Mar 2017 19:02:35 -0500

Bug: 14588 This is addOption(), not addOptions().

  M bin/horde-memcache-stats

https://github.com/horde/base/commit/51cecb4e8d0eede0ed302bef3b65409103dc024e
2017-03-02 00:04:22 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2017-03-02 00:03:29 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 52b25524ccc845e05167472eaf19ba03263081f8
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 1 19:00:02 2017 -0500

     Bug: 14588 This is addOption(), not addOptions().

  horde/bin/horde-memcache-stats | 6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/52b25524ccc845e05167472eaf19ba03263081f8
2017-03-02 00:01:35 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 3b2007e6c8c53e140171cd16260ed7db336a91c1
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Mar 1 19:00:02 2017 -0500

     Bug: 14588 This is addOption(), not addOptions().

  horde/bin/horde-memcache-stats | 6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/3b2007e6c8c53e140171cd16260ed7db336a91c1
2017-03-01 21:53:59 torben (at) dannhauer (dot) info Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Calling horde-memcache-stats triggers errors due to invalid function call
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
executing horde-memcache-stats without any argument triggers errors:

2017-03-01T21:32:50+00:00 WARN: HORDE [horde] PHP ERROR: Invalid 
argument supplied for foreach() [pid 28743 on line 194 of 
"/usr/share/php/Horde/Argv/OptionContainer.php"]
2017-03-01T21:32:50+00:00 WARN: HORDE [horde] PHP ERROR: Invalid 
argument supplied for foreach() [pid 28743 on line 194 of 
"/usr/share/php/Horde/Argv/OptionContainer.php"]
2017-03-01T21:32:50+00:00 WARN: HORDE [horde] PHP ERROR: Invalid 
argument supplied for foreach() [pid 28743 on line 194 of 
"/usr/share/php/Horde/Argv/OptionContainer.php"]

This is caused in horde-memcache-stats line 56 (and similar calls 
before and after) by calling addOptions() with two strings and an 
array, wheres addOptions 
("/usr/share/php/Horde/Argv/OptionContainer.php" line 192) expected 
only an array.

Saved Queries